### Function

# GUPnP get_uuid

deprecated: 1.6.

#### Declaration [src]

    char*
    gupnp_get_uuid (
      void
    )

#### Description [src]

Generate and return a new UUID.

Deprecated since: 1.6.

Use `g_uuid_string_random()` instead.

#### Return value

Type: `char*`

A newly generated UUID in string representation.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.